Package org.eclipse.emf.cdo.server.spi.security

# Interface InternalSecurityManager.CommitHandler

All Known Subinterfaces:
  `InternalSecurityManager.CommitHandler2`

All Known Implementing Classes:
  `AnnotationHandler`, `HomeFolderHandler`, `InternalSecurityManager.CommitHandler2.WithUser`

Enclosing interface:
  InternalSecurityManager

public static interface InternalSecurityManager.CommitHandler
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`InternalSecurityManager.CommitHandler.Factory`
Creates `InternalSecurityManager.CommitHandler` instances.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
Called before the commit is security checked and passed to the repository.
`void`
`init(InternalSecurityManager securityManager, boolean firstTime)`

## Method Details

### init

void init(InternalSecurityManager securityManager, boolean firstTime)

### handleCommit

void handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)
Called before the commit is security checked and passed to the repository.

Parameters:
  `user` - the committing user or `null` if this commit is `triggered` by the system.
See Also:
  - `InternalSecurityManager.CommitHandler2`